import java.io.*;

public class DemoFile
{
    public static void main(String[] args) throws IOException {
        File file = new File("/home/oslejsek/Dokumenty/fi/PB162/vyucujici.ods");
        File f = new File("home");
        f = new File(f, "oslejsek");
        // ...
        
        System.out.println("file exists? " + file.exists());
        
        System.out.println(file.getAbsoluteFile());
        System.out.println(file.getAbsolutePath());
        System.out.println(file.getCanonicalFile());
        System.out.println(file.getCanonicalPath());
        
    }
    
    public static void dirDemo() {
        File dir = new File("/home/oslejsek/Dokumenty/fi/PB162");
        
        for (String file: dir.list()) {
            System.out.println(file);
        }
    }
    
    public static void dirDemoWithFilter() {
        File dir = new File("/home/oslejsek/Dokumenty/fi/PB162");
        
        File[] list = dir.listFiles(new MyFilter());
        for (File file: list) {
            System.out.println(file);
        }
        
        // reseni pomoci anonymni tridy:
        list = dir.listFiles(
            new FileFilter() {
                public boolean accept(File f) {
                    return f.getPath().endsWith(".ods");
                }
            }
        );
        for (File file: list) {
            System.out.println(file);
        }
    }
}
